Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226474 - Merge Review: systemtap
Summary: Merge Review: systemtap
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:07 UTC by Nobody's working on this, feel free to take it
Modified: 2012-11-24 01:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-24 01:25:06 UTC


Attachments (Terms of Use)
rpmlint output on systemtap-0.5.13-1.fc6.i386.rpm (deleted)
2007-04-20 16:14 UTC, David Smith
no flags Details

Description Nobody's working on this, feel free to take it 2007-01-31 21:07:49 UTC
Fedora Merge Review: systemtap

http://cvs.fedora.redhat.com/viewcvs/devel/systemtap/
Initial Owner: fche@redhat.com

Comment 1 David Smith 2007-04-20 16:14:19 UTC
Created attachment 153193 [details]
rpmlint output on systemtap-0.5.13-1.fc6.i386.rpm

Comment 2 David Smith 2007-04-20 16:17:23 UTC
There are no rpmlint warnings output on systemtap-runtime-0.5.13-1.fc6.i386.rpm.

There are 3 classes of rpmlint warnings on systemtap-0.5.13-1.fc6.i386.rpm:

- W: systemtap devel-file-in-non-devel-package
/usr/share/systemtap/runtime/*.[ch] (48 instances)

Since the systemtap package is basically a code generator/compiler,
these warnings can be ignored.  Those files could be put in a devel rpm, but the
main rpm would always have to require the devel rpm, making the separation
pointless.

- W: systemtap spurious-executable-perm
/usr/share/doc/systemtap-0.5.13/examples/small_demos/* (13 instances)

rpmlint doesn't like the fact that the systemtap package includes
several demo scripts that are marked as executable.

- W: systemtap doc-file-dependency
/usr/share/doc/systemtap-0.5.13/examples/socktop /bin/bash (1 instance)

rpmlint doesn't like the fact that the systemtap package includes
one demo script that is a bash script.



Note You need to log in before you can comment on or make changes to this bug.